Name: simple-scan
Version: 3.17.2
Release: %mkrel 2
Summary: Simple scanning utility
Group: Graphical desktop/GNOME
License: GPLv3+
URL: https://launchpad.net/simple-scan
Source0: https://launchpad.net/simple-scan/+download/%name-%version.tar.xz
Source1: simple-scan.png
#---------------------------------------------
BuildRequires: colord-devel
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gudev1.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}sane1-devel
BuildRequires: %{_lib}vala-devel
#---------------------------------------------
Requires: xdg-utils
Requires: gnome-icon-theme
Requires: glib2.0-common
Requires: gtk+3.0
Requires: yelp
Provides: scanner-gui
Conflicts: simple-scan-legacy

%description
Simple Scan is an easy-to-use application, designed to let users connect their
scanner and quickly have the image/document in an appropriate format.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*

#icon
install -Dm 0644 %SOURCE1  %buildroot/%{_datadir}/pixmaps/simple-scan.png

#fix desktop file
perl -pi -e "s|Icon=scanner|Icon=simple-scan|" %buildroot/%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --with-man --with-gnome

%clean
rm -rf %{buildroot}

%files -f %{name}.lang 
%defattr(-,root,root,-)
%doc COPYING
%{_mandir}/man1/%{name}.1.*
%{_datadir}/glib-2.0/schemas/*.xml
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/appdata/simple-scan.appdata.xml
%{_datadir}/help
%{_datadir}/pixmaps/simple-scan.png

%post
update-menus

%postun
update-menus

%posttrans
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas


%changelog
* Tue Feb 20 2018 adrianomorselli <adrianomorselli> 3.17.2-2uplos2018
- icon for menu
- rebuild against update vala-devel
